Subject: Re: [PATCH net 1/2] s390/qeth: update cached link_info for ethtool

From: Andrew Lunn <[email-masked]>
Date: Wed, 3 Aug 2022 17:19:12 +0200

On Wed, Aug 03, 2022 at 04:40:14PM +0200, Alexandra Winter wrote:
> Speed, duplex, port type and link mode can change, after the physical link
> goes down (STOPLAN) or the card goes offline

If the link is down, speed, and duplex are meaningless. They should be
set to DUPLEX_UNKNOWN, SPEED_UNKNOWN. There is no PORT_UNKNOWN, but
generally, it does not change on link up, so you could set this
depending on the hardware type.

	Andrew